export type OptionInfo = {
    ID: string;
    name: string;
    devices: number;
    subscription: number;
    version: 'monthly' | 'yearly';
    basePrice: number;
    discountValue: number;
    discountRate: number;
    currency: string;
    grossPrice: number;
    discountCoupon: string;
};
export type ProductLoadedEventProductObject = {
    [key: string]: (OptionInfo | {
        ID: string;
    })[];
};
