import { Page } from "@repobit/dex-utils";
import { PageLoadStartedAttributes, PageLoadStartedCompletePageObject, PageLoadStartedInfo } from "./typeDefinitions.js";
export declare class PageLoadStartedEvent {
    event: "page load started";
    pageInstanceID: 'dev' | 'stage' | 'prod';
    page: PageLoadStartedCompletePageObject;
    constructor(page: Page, pageInfo: PageLoadStartedInfo, pageAttributes?: PageLoadStartedAttributes);
}
