import { ProductOption } from '@repobit/dex-store';
import { OptionInfo, ProductLoadedEventProductObject } from './typeDefinitions.js';
export declare class ProductLoadedEvent {
    event: "product loaded";
    product: ProductLoadedEventProductObject;
    constructor(option: ProductOption | {
        ID: string;
    }, type: 'all' | 'info' | 'comparison' | string);
    protected getOptionInfo(option: ProductOption): OptionInfo;
}
