import { PageLoadStartedAttributes, PageLoadStartedCompletePageObject } from '../page-load-started-event/typeDefinitions.js';
import { PageLoadStartedInfo } from './typeDefinitions.js';
export declare class WindowLoadStartedEvent {
    event: "page load started";
    pageInstanceID: 'dev' | 'stage' | 'prod';
    page: PageLoadStartedCompletePageObject;
    constructor(pageInfo: ((info: PageLoadStartedCompletePageObject['info']) => PageLoadStartedCompletePageObject['info']) | PageLoadStartedInfo, pageAttributes?: PageLoadStartedAttributes);
}
